/*
 * Copyright (c) 2015 Samsung Electronics Co., Ltd All Rights Reserved
 *
 * Licensed under the Apache License, Version 2.0 (the License);
 * you may not use this file except in compliance with the License.
 * You may obtain a copy of the License at
 *
 * http://www.apache.org/licenses/LICENSE-2.0
 *
 * Unless required by applicable law or agreed to in writing, software
 * distributed under the License is distributed on an AS IS BASIS,
 * WITHOUT WARRANTIES OR CONDITIONS OF ANY KIND, either express or implied.
 * See the License for the specific language governing permissions and
 * limitations under the License.
 */

#ifndef _AIR_MEDIAHUB_ALBUMDATA_H__
#define _AIR_MEDIAHUB_ALBUMDATA_H__

struct data_ops;

enum album_group_type {
	E_GROUP_ALBUM_NAME = 0,
	E_GROUP_ALBUM_ARTIST,
	E_GROUP_ALBUM_MAX
};

enum album_list_type {
	E_LIST_ALBUM_MEDIA = 0,
};

struct album_info {
	int id;
	char *name;
	char *artist;
	char *album_art;
};

struct data_ops *albumdata_get_ops(void);

#endif /* _AIR_MEDIAHUB_ALBUMDATA_H__ */
